Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter.dataformat
Class ParamDef

`java.lang.Object
oracle.adf.model.adapter.dataformat.ParamDef`

All Implemented Interfaces:
  Definition, NamedDefinition, ParameterDefinition, VariableDefinition

Direct Known Subclasses:
  MethodReturnDef

public class ParamDef
extends java.lang.Object
implements ParameterDefinition

Defines a method parameter of a data control.

Since:
  10.1.3
Version:
  1.0

Field Summary

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Constructor Summary
`ParamDef(java.lang.String name, OperationDefinition parent, java.lang.String javaType, java.lang.String elementJavaType)` Creates a new instance of a collection of scalar type.
`ParamDef(java.lang.String name, java.lang.String javaType, OperationDefinition parent, boolean isCollection)` Creates a new instance of simple type.
`ParamDef(java.lang.String name, StructureDefinition def, OperationDefinition parent, boolean isCollection)` Creates a complex paramter.
`ParamDef(java.lang.String name, StructureDefinition def, OperationDefinition parent, boolean isCollection, boolean isScalarCollection)` Creates a complex paramter.

Method Summary
`DataControlDefinition` | `getDataControlDefinition()` Retrieves the DataControlDefinition that this Variable belongs to.
`Definition` | `getDefinitionParent()` Returns the parent of this metadata definition, which is the Definition that contains this Definition.
`int` | `getDefinitionType()` Retrieves the type of this definition.
`java.lang.String` | `getFullName()` Returns the full name of this Definition, which includes the name of any parent objects.
`java.lang.String` | `getJavaTypeString()` Retrieves the type of the variable.
`java.lang.String` | `getName()` Returns the name of this Definition.
`java.util.Hashtable` | `getProperties()` Gets the table of properties.
`java.lang.Object` | `getProperty(java.lang.String propertyName)` Retrieves the value of a property with the given name.
`StructureDefinition` | `getStructure()` If the parameter is a structure, returns the metadata of the structure.
`boolean` | `isCollection()` Whether the parameter is a Collection of objects.
`boolean` | `isScalarCollection()` Returns true if the parameter is a collection of scalars.
`boolean` | `isStructured()` Whether the parameter is a structure, such as a JavaBean or a Collection of JavaBeans.
`void` | `setParent(OperationDefinition parent)` Sets a parent to this definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamDef

    public ParamDef(java.lang.String name,
                    java.lang.String javaType,
                    OperationDefinition parent,
                    boolean isCollection)

  Creates a new instance of simple type.
Parameters:
  `name` - name of the parameter.
  `javaType` - java type of the parameter.
  `parent` - the parent definition of this object.
  `isCollection` - true if this parameter is a collection

### ParamDef

    public ParamDef(java.lang.String name,
                    OperationDefinition parent,
                    java.lang.String javaType,
                    java.lang.String elementJavaType)

  Creates a new instance of a collection of scalar type.
Parameters:
  `name` - name of the parameter.
  `parent` - the parent definition of this object.
  `javaType` - java type of the parameter.
  `elementJavaType` - java type of each collection element.

### ParamDef

    public ParamDef(java.lang.String name,
                    StructureDefinition def,
                    OperationDefinition parent,
                    boolean isCollection)

  Creates a complex paramter.
Parameters:
  `name` - name of the parameter.
  `def` - the complex definition of this paramter.
  `parent` - the parent definition of this object.
  `isCollection` - true if this parameter is a collection

### ParamDef

    public ParamDef(java.lang.String name,
                    StructureDefinition def,
                    OperationDefinition parent,
                    boolean isCollection,
                    boolean isScalarCollection)

  Creates a complex paramter. This constructor can be used for creating definition for a parameter that is a collection of a scalar type.
Parameters:
  `name` - name of the parameter.
  `def` - the complex definition of this paramter.
  `parent` - the parent definition of this object.
  `isCollection` - true if this parameter is a collection
  `isScalarCollection` - indicates if the accessor is a collection of scalars.

Method Detail

### getName

    public final java.lang.String getName()

  Description copied from interface: `NamedDefinition`
  Returns the name of this Definition.
  Specified by:
    `getName` in interface `NamedDefinition`
  Returns:
    Name of this Definition.

### getDefinitionParent

    public final Definition getDefinitionParent()

  Description copied from interface: `NamedDefinition`
  Returns the parent of this metadata definition, which is the Definition that contains this Definition. For example, the parent of an AttributeDefinition could be a StructureDefinition if the attribute is contained in the structure.
  Specified by:
    `getDefinitionParent` in interface `NamedDefinition`
  Returns:
    The parent Definition

### getFullName

    public final java.lang.String getFullName()

  Description copied from interface: `NamedDefinition`
  Returns the full name of this Definition, which includes the name of any parent objects. The full name should reflect the runtime nesting level.
  Specified by:
    `getFullName` in interface `NamedDefinition`
  Returns:
    Full name of this Definition.

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyName)

  Description copied from interface: `NamedDefinition`
  Retrieves the value of a property with the given name. Properties can be used for UI hints such as display width and height.
  Specified by:
    `getProperty` in interface `NamedDefinition`
  Parameters:
    `propertyName` - Name of the property to be retrieved.
  Returns:
    Value of the property with the given property name.

### getProperties

    public java.util.Hashtable getProperties()

  Description copied from interface: `NamedDefinition`
  Gets the table of properties. This returns a hashtable to ensure any modification done by caller would be synchronized. Note that this API has not been added to the JSR yet.
  Specified by:
    `getProperties` in interface `NamedDefinition`
  Returns:
    a hashtable of properties.

### getJavaTypeString

    public final java.lang.String getJavaTypeString()

  Description copied from interface: `VariableDefinition`
  Retrieves the type of the variable.
  Specified by:
    `getJavaTypeString` in interface `VariableDefinition`
  Returns:
    The fully qualified Java class name of the variable type.

### getDataControlDefinition

    public DataControlDefinition getDataControlDefinition()

  Description copied from interface: `VariableDefinition`
  Retrieves the DataControlDefinition that this Variable belongs to.
  Specified by:
    `getDataControlDefinition` in interface `VariableDefinition`
  Returns:
    The DataControlDefinition that this Variable belongs to.

### getDefinitionType

    public int getDefinitionType()

  Description copied from interface: `Definition`
  Retrieves the type of this definition. It can be one of the TYPE_* constants defined in this class. This is useful to find out the actual type of the Definition without doing an instanceof operations.
  Specified by:
    `getDefinitionType` in interface `Definition`
  Returns:
    The type of definition that this Definition implementation class implements.

### isStructured

    public final boolean isStructured()

  Description copied from interface: `ParameterDefinition`
  Whether the parameter is a structure, such as a JavaBean or a Collection of JavaBeans.
  Specified by:
    `isStructured` in interface `ParameterDefinition`
  Returns:
    True if the parameter is a structure, false if it is a simple type such as a String, int, etc.

### getStructure

    public final StructureDefinition getStructure()

  Description copied from interface: `ParameterDefinition`
  If the parameter is a structure, returns the metadata of the structure.
  Specified by:
    `getStructure` in interface `ParameterDefinition`
  Returns:
    The metadata of the parameter if it is a structure, or null otherwise.

### isCollection

    public final boolean isCollection()

  Description copied from interface: `ParameterDefinition`
  Whether the parameter is a Collection of objects.
  Specified by:
    `isCollection` in interface `ParameterDefinition`
  Returns:
    True if the parameter is a Collection of objects, false otherwise.

### isScalarCollection

    public boolean isScalarCollection()

  Description copied from interface: `ParameterDefinition`
  Returns true if the parameter is a collection of scalars. Scalars are simple types that are not structured and are not collections.
  Specified by:
    `isScalarCollection` in interface `ParameterDefinition`
  Returns:
    true if this parameter is a collection of scalars, false otherwise.

### setParent

    public void setParent(OperationDefinition parent)

  Sets a parent to this definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.